package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.BatchDetails;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class BatchDetailsVO extends BatchDetails {

    @ApiModelProperty(value="供应商名称")
    private String supplierName;

    @ApiModelProperty(value="标准物质列表")
    List<ReferenceMaterialVO> referenceMaterialVOS;

}
